module Encoding.Url
  ( encurl
  , decurl
  ) where

import qualified Network.HTTP.Base as HB
import Data.ByteString as B
import qualified Data.ByteString.Char8 as BC

-- decurl :: String -> String
decurl :: B.ByteString -> B.ByteString
decurl = BC.pack . HB.urlDecode . BC.unpack

-- encurl :: String -> String
encurl :: B.ByteString -> B.ByteString
encurl = BC.pack . HB.urlEncode . BC.unpack

