module Encoding.Xx
  ( encxx
  , decxx
  ) where

import Data.ByteString as B
import qualified Data.ByteString.Char8 as BC
import qualified Codec.Binary.Xx as XX
import Data.ByteString.UTF8 as BSU      -- from utf8-string
import qualified Data.Text as T
import qualified Data.Text.Encoding as T
import qualified Data.Text.IO as T

-- decxx :: String -> String
-- decxx input =
--    case XX.decode (BSU.fromString input) of
--      Right decoded -> T.unpack (T.decodeUtf8 decoded)
--      Left _ -> "Error decoding XX.\n"
decxx :: B.ByteString -> B.ByteString
decxx input = case XX.decode input of
                Right byteString -> byteString
                Left _ -> BC.pack "Error: Invalid XX encoding input"

-- encxx :: String -> String
-- encxx = C.unpack . XX.encode . BSU.fromString
encxx :: B.ByteString -> B.ByteString
encxx = XX.encode
